<div class="container ">
    <button mat-icon-button class="close-button" [mat-dialog-close]="true">
      <i class="fa-solid fa-xmark"></i>
   </button>



    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <ul class="page-url">
                <li><a>Votre compte</a></li>
                <li><a class="">Connexion et sécurité</a></li>
                <li><a class="active">Nom</a></li>
            </ul>
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <h2>Modifier le Nom</h2>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <form [formGroup]="myform" (submit)="send()" class="mb-0">
                        <div class="row">
                            <div class="mb-3">
                                <label for="pwd" class="form-label">Prénom</label>
                                <input type="text" class="form-control" id="" placeholder="" name="" formControlName="first_name">
                            </div>
                        </div>
                        <div class="errormsg" *ngIf="myform.get('first_name')?.touched && myform.get('first_name')?.hasError('required')">
                            <h4> <b>L'Prénom est requis</b></h4>
                        </div>
                        <div class="row">
                            <div class="mb-3">
                                <label for="" class="form-label">Nom de famille</label>
                                <input type="" class="form-control" id="" placeholder="" name="" formControlName="last_name">
                            </div>
                        </div>

                        <div class="errormsg" *ngIf="myform.get('last_name')?.touched && myform.get('last_name')?.hasError('required')">
                            <h4> <b>L'Nom de famille est requis</b></h4>
                        </div>

                        <div class="row">
                            <div class="">
                                <button class="btn btn-fill size-650 mb-0">Enregister les modifications</button>
                            </div>
                        </div>

                        <div class="comeBack_up" *ngIf="createuserRes">
                            <div *ngIf="createuserRes.status == false; else loggedOut">
                                <br>
                                <div class="alert alert-danger"><strong>{{ createuserRes.errmessage }}</strong></div>
                            </div>
                            <ng-template #loggedOut>
                                <br>
                                <div class="alert alert-success"><strong>{{ createuserRes.message }}</strong></div>
                            </ng-template>
                        </div>
                    </form>
                </div>
            </div>
            <!-- Nav pills -->
        </div>
    </div>
</div>